This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 136488 - traceback on yum update
traceback on yum update
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks: FC3Target
  Show dependency treegraph
 
Reported: 2004-10-20 10:35 EDT by Kjartan Maraas
Modified: 2014-01-21 17:50 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-02 07:36:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
config file (1.21 KB, text/plain)
2004-10-20 10:38 EDT, Kjartan Maraas
no flags Details

  None (edit)
Description Kjartan Maraas 2004-10-20 10:35:51 EDT
Description of problem:

Got this traceback when trying to run 'yum --exclude=libfame\* update'
today. Same thing with both 2.1.9 and 2.1.10

---> Downloading header for gnome-games to pack into transaction set.
gnome-games-2.8.0-4.i386. 100% |=========================|  90 kB    00:00
---> Package gnome-games.i386 1:2.8.0-4 set to be updated
---> Downloading header for pango-debuginfo to pack into transaction set.
http://mirrors.kernel.org/fedora/core/development/i386/debug/pango-debuginfo-1.6.0-6.i386.rpm:
[Errno 4] IOError: HTTP Error 404: Not Found
Trying other mirror.
http://sunsite.mff.cuni.cz/pub/fedora/development/i386/debug/pango-debuginfo-1.6.0-6.i386.rpm:
[Errno 4] IOError: HTTP Error 404: Not Found
Trying other mirror.
http://download.fedora.redhat.com/pub/fedora/linux/core/development/i386/debug/pango-debuginfo-1.6.0-6.i386.rpm:
[Errno 4] IOError: HTTP Error 404: Not Found
Trying other mirror.
http://ftp.dulug.duke.edu/pub/fedora/linux/core/development/i386/debug/pango-debuginfo-1.6.0-6.i386.rpm:
[Errno 4] IOError: HTTP Error 404: Not Found
Trying other mirror.
Traceback (most recent call last):
  File "/usr/bin/yum", line 8, in ?
    yummain.main(sys.argv[1:])
  File "/usr/share/yum-cli/yummain.py", line 101, in main
    (result, resultmsgs) = base.buildTransaction()
  File "/usr/lib/python2.3/site-packages/yum/__init__.py", line 173,
in buildTransaction
    (rescode, restring) = self.resolveDeps()
  File "/usr/lib/python2.3/site-packages/yum/depsolve.py", line 148,
in resolveDeps
    self.populateTs(test=1)
  File "/usr/lib/python2.3/site-packages/yum/depsolve.py", line 106,
in populateTs
    self.downloadHeader(po)
  File "/usr/lib/python2.3/site-packages/yum/__init__.py", line 431,
in downloadHeader
    end=end, checkfunc=checkfunc, copy_local=1)
  File "/usr/lib/python2.3/site-packages/yum/repos.py", line 443, in get
    checkfunc=checkfunc)
  File "/usr/lib/python2.3/site-packages/urlgrabber/mirror.py", line
414, in urlgrab
    return self._mirror_try(func, url, kw)
  File "/usr/lib/python2.3/site-packages/urlgrabber/mirror.py", line
392, in _mirror_try
    mirrorchoice = self._get_mirror(gr)
  File "/usr/lib/python2.3/site-packages/urlgrabber/mirror.py", line
290, in _get_mirror
    return gr.mirrors[gr._next]
IndexError: list index out of range
[root@home tmp]#


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Kjartan Maraas 2004-10-20 10:38:26 EDT
Created attachment 105512 [details]
config file
Comment 2 Seth Vidal 2004-10-20 14:07:33 EDT
Can you reliably reproduce it? I'm trying to figure out when the
mirrorlist is overflowing.
Comment 3 Seth Vidal 2004-10-21 01:18:40 EDT
I've tested this with a limited set of mirrorlists but I can't make it
occur. Can you reliably reproduce it?
Comment 4 Kjartan Maraas 2004-10-21 03:34:43 EDT
Maybe it was related to me having commented out the baseurl line in
yum.conf? I'll do some more testing later today to see if I can get it
to break again.
Comment 5 Kjartan Maraas 2004-10-21 03:46:55 EDT
Now I just get this:

Is this ok [y/N]: y
Downloading Packages:
warning: rpmts_HdrFromFdno: V3 DSA signature: NOKEY, key ID 30c9ecf8
warning: rpmts_HdrFromFdno: V3 DSA signature: NOKEY, key ID 897da07a
warning: rpmts_HdrFromFdno: V3 DSA signature: NOKEY, key ID 8df56d05
public key not available for
//var/cache/yum/development/packages/kdewebdev-3.3.0-1.i386.rpm

the same error is repeated for all packages and it just exits...
Comment 6 Seth Vidal 2004-10-21 03:50:05 EDT
This means the packages you're trying to install are signed by keys
that you don't have installed in your rpmdb.

You can either:
 - install those keys
 - set gpgcheck=0 in your repos

your choice.
Comment 7 Jeremy Katz 2004-11-01 11:19:27 EST
Kjartan -- figure out anything more about what was going on here?
Comment 8 Kjartan Maraas 2004-11-02 04:53:30 EST
Never saw this again. Sorry for not following up on it earlier.
Comment 9 Seth Vidal 2004-11-02 07:36:21 EST
Closing this one, for now, if we can recreate it, reopen it.

Note You need to log in before you can comment on or make changes to this bug.